package handlers

import (
	"github.com/fiskerinc/cloud-services/services/attendant/services"

	"github.com/fiskerinc/cloud-services/pkg/common"
	"github.com/fiskerinc/cloud-services/pkg/logger"
)

// If the update is not finished installing on the car, we send out an sms to wake the car up.
// If this message is failed to deliver, we need to cancel the car update and set its status as failed
func CarSendManifestSMSWakeUpCallback(d *services.DB, ka *services.KeepAwake, device common.Device, id string, data []byte) (err error) {
	logger.Info().Msgf("SMS delivered but not sending TBox manifest %v %s", device, id)
	return nil
	/*
		clientPool := services.RedisClientPool()

		sap := services.GetSapService()
		configService := services.GetVehicleConfig()

		generator := controllers.NewManifestSender(clientPool, d, sap, configService, device, ka, PrivateSeed)
		defer generator.Release()

		return generator.ContinueTBOXSend(id, data) */
}
